CMSIS-Core (Cortex-A): system_ARMCA9.h File Reference

| CMSIS-Core (Cortex-A) Version 1.2.1 CMSIS-Core support for Cortex-A processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Functions | Variables
system_ARMCA9.h File Reference

## Functions

void | SystemInit (void)
| Setup the microcontroller system. More...
void | SystemCoreClockUpdate (void)
| Update SystemCoreClock variable. More...
void | MMU_CreateTranslationTable (void)
| Create Translation Table. More...

## Variables

uint32_t | SystemCoreClock
| Variable to hold the system core clock value. More...

## Function Documentation

void MMU_CreateTranslationTable | ( | void |  | ) |

Creates Memory Management Unit Translation Table.

void SystemCoreClockUpdate | ( | void |  | ) |

Updates the SystemCoreClock with current core Clock retrieved from cpu registers.

void SystemInit | ( | void |  | ) |

Initialize the System and update the SystemCoreClock variable.